summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlmwang2015-06-28 17:47:52 -0700
committerlmwang2015-06-28 17:47:52 -0700
commitf1fe02dc98b0776d684a066824255f0ae730e20d (patch)
tree4e1361f3c34de812f712230b1fde686561f53aed
downloadaur-f1fe02dc98b0776d684a066824255f0ae730e20d.tar.gz
Initial import
-rw-r--r--.AURINFO21
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD33
3 files changed, 75 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..2b6b2621af4
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,21 @@
+pkgbase = python-pymc
+ pkgdesc = Markov chain Monte Carlo for Python
+ pkgver = 2.3.3
+ pkgrel = 1
+ url = https://github.com/pymc-devs/pymc
+ arch = i686
+ arch = x86_64
+ license = MIT
+ makedepends = gcc-fortran
+ source = https://pypi.python.org/packages/source/p/pymc/pymc-2.3.3.tar.gz
+ md5sums = 99645bf558a41376be0e687ccf90a39f
+
+pkgname = python-pymc
+ depends = python-numpy
+ optdepends = python-scipy
+ optdepends = python-matplotlib
+ optdepends = python-pytables
+ optdepends = ipython
+ optdepends = pydot
+ optdepends = python-nose
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2b6b2621af4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = python-pymc
+ pkgdesc = Markov chain Monte Carlo for Python
+ pkgver = 2.3.3
+ pkgrel = 1
+ url = https://github.com/pymc-devs/pymc
+ arch = i686
+ arch = x86_64
+ license = MIT
+ makedepends = gcc-fortran
+ source = https://pypi.python.org/packages/source/p/pymc/pymc-2.3.3.tar.gz
+ md5sums = 99645bf558a41376be0e687ccf90a39f
+
+pkgname = python-pymc
+ depends = python-numpy
+ optdepends = python-scipy
+ optdepends = python-matplotlib
+ optdepends = python-pytables
+ optdepends = ipython
+ optdepends = pydot
+ optdepends = python-nose
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3d786e4aff0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Contributor: xia0er <xia0er@gmail.com>
+pkgname=python-pymc
+pkgver=2.3.3
+pkgrel=1
+pkgdesc="Markov chain Monte Carlo for Python"
+arch=('i686' 'x86_64')
+url="https://github.com/pymc-devs/pymc"
+license=('MIT')
+source=("https://pypi.python.org/packages/source/p/pymc/pymc-${pkgver}.tar.gz")
+makedepends=("gcc-fortran")
+md5sums=('99645bf558a41376be0e687ccf90a39f')
+
+package_python2_pymc() {
+ depends=('python2-numpy')
+ optdepends=('python2-scipy' 'python2-matplotlib' 'python2-pytables' 'ipython2' 'pydot' 'python2-nose')
+
+ cd $srcdir/pymc-$pkgver
+ export LDFLAGS="$LDFLAGS -shared"
+ python2 setup.py config_fc --fcompiler=gnu95 build
+ python2 setup.py install --prefix=/usr --root=$pkgdir || return 1
+}
+
+package() {
+ depends=('python-numpy')
+ optdepends=('python-scipy' 'python-matplotlib' 'python-pytables' 'ipython' 'pydot' 'python-nose')
+
+ cd $srcdir/pymc-$pkgver
+ export LDFLAGS="$LDFLAGS -shared"
+ python setup.py config_fc --fcompiler=gnu95 build
+ python setup.py install --prefix=/usr --root=$pkgdir || return 1
+}
+
+